.menu-btn {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 30px;
    height: 30px;
    cursor: pointer;
    transition: all 0.4s cubic-bezier(0.87, -0.41, 0.19, 1.44);
    /* border: 3px solid #fff; */
}

.menu-btn__burger {
    width: 20px;
    height: 3px;
    background: rgb(150, 75, 75);
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(255, 101, 47, .2);
    transition: all 0.4s cubic-bezier(0.87, -0.41, 0.19, 1.44);
}

.menu-btn__burger::before,
.menu-btn__burger::after {
    content: '';
    position: absolute;
    width: 30px;
    height: 3px;
    background: rgb(189, 68, 68);
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(255, 101, 47, .2);
    transition: all 0.4s cubic-bezier(0.87, -0.41, 0.19, 1.44);
}

.menu-btn__burger::before {
    transform: translateY(-10px);
}

.menu-btn__burger::after {
    transform: translateY(10px);
}

/* ANIMATION */
.menu-btn.open .menu-btn__burger {
    transform: translateX(-50px);
    background: transparent;
    box-shadow: none;
}

.menu-btn.open .menu-btn__burger::before {
    transform: rotate(45deg) translate(35px, -35px);
}

.menu-btn.open .menu-btn__burger::after {
    transform: rotate(-45deg) translate(35px, 35px);
}